function sslide (instance) {
  // (A) BUILD HTML INTERFACE
  var sImg = document.createElement("img"),
      sCaption = document.createElement("div"),
      sLeft = document.createElement("div"),
      sRight = document.createElement("div");
  instance.target.className = "sSlide hide";
  sImg.className = "sImg";
  sCaption.className = "sCaption";
  sLeft.className = "sLeft";
  sRight.className = "sRight";
  sLeft.innerHTML = "&lt;";
  sRight.innerHTML = "&gt;";
  instance.target.appendChild(sImg);
  instance.target.appendChild(sCaption);
  instance.target.appendChild(sLeft);
  instance.target.appendChild(sRight);

  // (B) AUTO SHIFT SLIDE
  if (instance.auto) {
    var auto = () => {
      if (instance.timer) { clearInterval(instance.timer); }
      instance.timer = setInterval(() => shift(1), instance.auto);
    };
  }

  // (C) SHIFT SLIDE
  instance.now = -1; // current slide
  var shift = direction => {
    // (C1) CALCULATE NEXT SLIDE
    if (direction) { instance.now++; } else { instance.now--; }
    if (instance.now < 0) { instance.now = instance.images.length - 1; }
    if (instance.now >= instance.images.length) { instance.now = 0; }

    // (C2) DRAW SLIDE
    sImg.src = instance.images[instance.now].src;
    sCaption.innerHTML = instance.images[instance.now].cap;

    // (C3) AUTO SHIFT SLIDE
    if (instance.auto) { auto(); }
  };
  sLeft.onclick = () => shift();
  sRight.onclick = () => shift(1);

  // (D) PRELOAD IMAGES
  var loaded = 0;
  for (let i of instance.images) {
    let img = new Image();
    img.src = i.src;
    img.onload = () => {
      loaded++;
      if (loaded == instance.images.length) {
        shift(1);
        instance.target.classList.remove("hide");
        if (instance.auto) { auto(); }
      }
    };
  }
}